<script setup>
    import FormulaireFicheDePaie from '@/components/formulaires/FormulaireFicheDePaie.vue';
    import axios from 'axios';
    import ROUTES_API from '@/assets/routesAPI.js'

    const envoyerFicheDePaie = async (ficheDePaie) => {
        ficheDePaie.salaireBrut = Math.round(parseFloat(ficheDePaie.salaireBrut)*100);
        ficheDePaie.cotisationsPatronales = Math.round(parseFloat(ficheDePaie.cotisationsPatronales)*100);
        await axios.post(ROUTES_API.FICHES_DE_PAIE, ficheDePaie, {
            headers : {
                'Content-Type': 'application/json',
                'Accept': 'application/json'
            }
        });
        window.location.href = "/fiches_de_paie";
    }
</script>

<template>
    <div>
        <h1>Création de Fiche de paie</h1>
        <FormulaireFicheDePaie @envoie="envoyerFicheDePaie"/>
    </div>
</template>

<style scoped>

</style>